/**
 * @file task_user.h
 * @brief The FreeRTOS task to maintain MQTT connections.
 */

#ifndef	_TASK_USER_H
#define	_TASK_USER_H


#define PIN_SDA                 (CONFIG_I2C_MASTER_SDA)
#define PIN_SCL                 (CONFIG_I2C_MASTER_SCL)
#define ROT_ENC_A_GPIO          (CONFIG_ROT_ENC_A_GPIO)
#define ROT_ENC_B_GPIO          (CONFIG_ROT_ENC_B_GPIO)
#define ROT_ENC_SW_GPIO         (CONFIG_ROT_ENC_SW_GPIO)
#define INACTIVITY              120                                     ///< User inactivity time

#define EDIT_TYPE_TEXT          0                                       ///< Editor type is text
#define EDIT_TYPE_INT           1                                       ///< Editor type is integer
#define EDIT_TYPE_FLOAT         2                                       ///< Editor type is float



void user_cold(void);
void user_wakeup(void);
void user_refresh(void);
bool user_busy(void);


/**
 * @brief The FreeRTOS task to run the user interface.
 */
void task_user(void *);


#endif

